//
// Created by nicolas on 21/03/18.
//

#ifndef ESC_DEBUG_H
#define ESC_DEBUG_H

#include <stddef.h>
#include <malloc.h>

#ifdef DEBUG
void* dbg_malloc(const char* file, int line, size_t size);
void dbg_free(void* ptr);
void dbg_list_allocs();
#define malloc(s) dbg_malloc(__FILE__, __LINE__, s)
#define free(p) dbg_free(p)
#endif

#endif //ESC_DEBUG_H
